# ![i4](.res/i4_logo_scaled.png)

![A screenshot of Minetest displaying i3’s inventory.](.res/screenshot.png)

[i4](https://hak.xwx.moe/jadedctrl/minetest-i4) is an inventory system for Minetest with a focus on cohesion. It is a fork of [i3](https://github.com/minetest-mods/i3), the “next-generation inventory.” Primary differences to `i3` include an extended [API](API.md), more efficient use of screen-space, and general house-keeping.

This mod requires Minetest 5.6+, as it uses newer additions to the formspec API.


## Features
* Crafting guide
* Progressive mode
* Quick-crafting
* 3D player model real-time preview
* Isometric map preview
* Fine-tunable inventory sorting
* Item list compression (with `moreblocks` support)
* Item bookmarks
* Waypoints
* Bags
* Home (built-in or minetest_game’s `sethome`)


### Officially-supported mods
These mods have menus built-into i4:

* [**`3d_armor`**](https://content.minetest.net/packages/stu/3d_armor/)
* [**`skinsdb`**](https://content.minetest.net/packages/bell07/skinsdb/)
* [**`awards`**](https://content.minetest.net/packages/rubenwardy/awards/)


## Configuration
There is currently two [`minetest.conf`](https://wiki.minetest.net/Minetest.conf) settings used by i4:

* `i4_progressive_mode = false` — A discovery-based system, where the crafting guide only displays recipes whose components you have held before.
* `i4_inventory_size = 32` — Players’ inventory-size. Defaults to 32 (or 36, if i3 was previously in use). Only accepted values are 32 and 36.


## Notes
i4 uses a larger inventory than the usual inventories in Minetest games.
Thus, most chests will be unadapted to this inventory size.
The i4  inventory is 9 slots wide by default, such as Minecraft.

Please report bugs on the [bug tracker](https:///hak.xwx.moe/jadedctrl/minetest-i4/issues) — I don’t bite!


### Recommendations
To use this mod in the best conditions:

   - Use LuaJIT
   - Use the default Freetype font style


### Troubleshooting
If the inventory’s font size is too big on certain setups (namely Windows 10/11 or 144 DPI display), you should lower the
value of the setting `display_density_factor` in your `minetest.conf`. Note that the change is applied after restart.

You can also use the font size slider in the inventory, settings window.


## Source code
https://hak.xwx.moe/jadedctrl/minetest-i4

Sounds are under the [CC0](LICENSE.md#sounds), by Lone_Wolf & MadPanCake.  
Textures are under the [CC BY-SA 3.0](LICENSE.md#textures), by paramat & BlockMen.  
Source code for i4 is under the [GNU GPLv3](LICENSE.md#gplv3), with contributions by Jaidyn Ann `<jadedctrl@posteo.at>`.  
Code from i3 is under the [MIT license](LICENSE.md#mit), and is by Jean-Patrick Guerrero (with contributions by SmallJoker & anonymous).

See [LICENSE.md](LICENSE.md) for details.
